Chilean timezone extraordinary change -- update to 2010e

Bug #532924 reported by Victor Vargas on 2010-03-05
30
This bug affects 5 people
Affects Status Importance Assigned to Milestone
tzdata (Debian)
Fix Released
Unknown
tzdata (Ubuntu)
Medium
Martin Pitt
Dapper
Undecided
Unassigned
Hardy
Undecided
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
High
Martin Pitt
Lucid
Medium
Martin Pitt

Bug Description

Binary package hint: tzdata

Chile (CLT timezone) has been changed this year his winter time because was affected by an earthquake, so goverment has changed and delayed this. This change normally occurs on Saturday 13 March 2010 at 24:00 hours, but now it's on Saturday 03 April 2010 at 24:00 hours. Thanks!

Pedro Villavicencio (pedro) wrote :

Thanks for the report, confirming, pitti may you have a look into this? Thanks a lot.

Changed in tzdata (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Martin Pitt (pitti) wrote :

I checked that upstream is aware: http://article.gmane.org/gmane.comp.time.tz/3124

I just prepared a tzdata update for all stables yesterday, I'll update that accordingly.

Changed in tzdata (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: Triaged → In Progress
Victor Vargas (kamus) wrote :

Thanks Martin!

Hm, bad timing. In bug 533606 I just prepared 2010c for all stables yesterday. Please see http://launchpadlibrarian.net/40418609/2009u-2010c.diff for the diff between 2009u and 2010c. I'll prepare another diff for 2010d soon.

summary: - Chilean timezone extraordinary change
+ Chilean timezone extraordinary change -- update to 2010d
Martin Pitt (pitti) wrote :

2010e synced into lucid.

summary: - Chilean timezone extraordinary change -- update to 2010d
+ Chilean timezone extraordinary change -- update to 2010e
Changed in tzdata (Ubuntu Lucid):
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

TEST CASE for SRU:

Change happens on March 13 for this year with tzdata 2010c and older:
$ LANG= TZ=America/Santiago date -d '2010-03-13 12:00'
Sat Mar 13 12:00:00 CLST 2010
$ LANG= TZ=America/Santiago date -d '2010-03-14 12:00'
Sun Mar 14 12:00:00 CLT 2010
$ LANG= TZ=America/Santiago date -d '2010-04-03 12:00'
Sat Apr 3 12:00:00 CLT 2010
$ LANG= TZ=America/Santiago date -d '2010-04-04 12:00'
Sun Apr 4 12:00:00 CLT 2010

With 2010e, it switches on April 3:
$ LANG= TZ=America/Santiago date -d '2010-03-13 12:00'
Sat Mar 13 12:00:00 CLST 2010
$ LANG= TZ=America/Santiago date -d '2010-03-14 12:00'
Sun Mar 14 12:00:00 CLST 2010
$ LANG= TZ=America/Santiago date -d '2010-04-03 12:00'
Sat Apr 3 12:00:00 CLST 2010
$ LANG= TZ=America/Santiago date -d '2010-04-04 12:00'
Sun Apr 4 12:00:00 CLT 2010

and zdump also shows that next year is regular again:

$ zdump -v -c 2010,2012 America/Santiago
America/Santiago Sun Apr 4 02:59:59 2010 UTC = Sat Apr 3 23:59:59 2010 CLST isdst=1 gmtoff=-10800
America/Santiago Sun Apr 4 03:00:00 2010 UTC = Sat Apr 3 23:00:00 2010 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Oct 10 03:59:59 2010 UTC = Sat Oct 9 23:59:59 2010 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Oct 10 04:00:00 2010 UTC = Sun Oct 10 01:00:00 2010 CLST isdst=1 gmtoff=-10800

America/Santiago Sun Mar 13 02:59:59 2011 UTC = Sat Mar 12 23:59:59 2011 CLST isdst=1 gmtoff=-10800
America/Santiago Sun Mar 13 03:00:00 2011 UTC = Sat Mar 12 23:00:00 2011 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Oct 9 03:59:59 2011 UTC = Sat Oct 8 23:59:59 2011 CLT isdst=0 gmtoff=-14400
America/Santiago Sun Oct 9 04:00:00 2011 UTC = Sun Oct 9 01:00:00 2011 CLST isdst=1 gmtoff=-10800

Changed in tzdata (Ubuntu Karmic):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

In addition to the 2009u - 2010c diff (which is described in bug 533806), 200e changes:

 - Chile: Extraordinary DST prolongation for 2009
 - Samoa: Update DST rules
 - Fiji: Update DST rules (starts a month earlier now)
 - Bangladesh: Fix DST rule (starts one minute earlier)
 - Paraguay: Fix DST rule (starts on first Sunday)

Accepted tzdata into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Karmic):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in tzdata (Ubuntu Jaunty):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Intrepid):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Hardy):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted tzdata into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Accepted langpack-locales into dapper-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in tzdata (Ubuntu Dapper):
status: New → Fix Committed
Martin Pitt (pitti) wrote :

I verified the -proposed updates for all Ubuntu releases, using above test case. More feedback highly appreciated, though.

tags: added: verification-done
removed: verification-needed
Victor Vargas (kamus) wrote :

@Martin, I have tested on Lucid and update works well. I have to upgrade our Hardy's, so as soon as I can I will test it on them. Thanks!

Victor Vargas (kamus) wrote :

Well, apparently on Ubuntu Hardy (server) play well too!

#/usr/share/zoneinfo$ TZ=America/Santiago date --date="2010-04-03 23:59:59 utc"
sáb abr 3 20:59:59 CLST 2010
#usr/share/zoneinfo$ TZ=America/Santiago date --date="2010-04-04 23:59:59 utc"
dom abr 4 19:59:59 CLT 2010

Kind regards

Victor Vargas (kamus) wrote :

Sorry for double/triple post but official announcement of Chilean goverment it's here http://www.horaoficial.cl/DS156.pdf (a litle bit late but was published at least :) )

Pedro Villavicencio (pedro) wrote :

I can confirm that the update works as it should with : Karmic, Jaunty, Intrepid and Hardy . Tomorrow morning i'll test with Dapper and comment back. Thanks a lot for the quick update Martin!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010e-0ubuntu0.9.10

---------------
tzdata (2010e-0ubuntu0.9.10) karmic-proposed; urgency=low

  * New upstream release 2010e: (LP: #532924)
    - Chile: Extraordinary DST prolongation for 2009
    - Samoa: Update DST rules
    - Fiji: Update DST rules (starts a month earlier now)
    - Bangladesh: Fix DST rule (starts one minute earlier), and fix historic
      DST change for 2009.
    - Paraguay: Fix DST rule (starts on first Sunday)
    - Mexico: Northern cities now follow U.S. DST rules (timezone split)
    - Paraguay: Update DST rules (effective from March 2010)
 -- Martin Pitt <email address hidden> Sun, 07 Mar 2010 15:01:31 +0100

Changed in tzdata (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010e~repack-0ubuntu9.04

---------------
tzdata (2010e~repack-0ubuntu9.04) jaunty-proposed; urgency=low

  * New upstream release 2010e: (LP: #532924)
    - Chile: Extraordinary DST prolongation for 2009
    - Samoa: Update DST rules
    - Fiji: Update DST rules (starts a month earlier now)
    - Bangladesh: Fix DST rule (starts one minute earlier), and fix historic
      DST change for 2009.
    - Paraguay: Fix DST rule (starts on first Sunday)
    - Mexico: Northern cities now follow U.S. DST rules (timezone split)
    - Paraguay: Update DST rules (effective from March 2010)
 -- Martin Pitt <email address hidden> Wed, 10 Mar 2010 08:02:03 +0100

Changed in tzdata (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010e~repack-0ubuntu0.8.10

---------------
tzdata (2010e~repack-0ubuntu0.8.10) intrepid-proposed; urgency=low

  * New upstream release 2010e: (LP: #532924)
    - Chile: Extraordinary DST prolongation for 2009
    - Samoa: Update DST rules
    - Fiji: Update DST rules (starts a month earlier now)
    - Bangladesh: Fix DST rule (starts one minute earlier), and fix historic
      DST change for 2009.
    - Paraguay: Fix DST rule (starts on first Sunday)
    - Mexico: Northern cities now follow U.S. DST rules (timezone split)
    - Paraguay: Update DST rules (effective from March 2010)
 -- Martin Pitt <email address hidden> Wed, 10 Mar 2010 08:03:38 +0100

Changed in tzdata (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tzdata - 2010e~repack-0ubuntu0.8.04

---------------
tzdata (2010e~repack-0ubuntu0.8.04) hardy-proposed; urgency=low

  * New upstream release 2010e: (LP: #532924)
    - Chile: Extraordinary DST prolongation for 2009
    - Samoa: Update DST rules
    - Fiji: Update DST rules (starts a month earlier now)
    - Bangladesh: Fix DST rule (starts one minute earlier), and fix historic
      DST change for 2009.
    - Paraguay: Fix DST rule (starts on first Sunday)
    - Mexico: Northern cities now follow U.S. DST rules (timezone split)
    - Paraguay: Update DST rules (effective from March 2010)
 -- Martin Pitt <email address hidden> Wed, 10 Mar 2010 08:07:02 +0100

Changed in tzdata (Ubuntu Hardy):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Moved to dapper-updates.

Changed in tzdata (Ubuntu Dapper):
status: Fix Committed → Fix Released
Changed in tzdata (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.